<ng-container *ngIf="allChannels">
  <div class="container">
    <br>
    <h5>Neuer Post im Kanal: <b>{{ allChannels[currentChannelIndex].name }}</b></h5>
    <br>
    <form (ngSubmit)="onNewPostSubmit()">
      <div class="shadow-sm form-group">
        <label for="titleInput">Titel</label>
        <input
          [(ngModel)]="newPostTitle"
          [ngModelOptions]="{standalone: true}"
          class="form-control"
          id="titleInput"
          type="text">
      </div>
      <div class="shadow-sm form-group">
        <label for="bodyTextArea">Inhalt</label>
        <textarea
          [(ngModel)]="newPostBody"
          [ngModelOptions]="{standalone: true}"
          class="form-control"
          id="bodyTextArea"
          rows="3">
          </textarea>
      </div>
      <button
        class="shadow-sm btn btn-outline-secondary"
        type="submit">
        Erstellen
      </button>
    </form>
  </div>
</ng-container>
